Package org.lwjgl.opengl

# Class ARBTextureBufferObject

java.lang.Object
org.lwjgl.opengl.ARBTextureBufferObject

public final class ARBTextureBufferObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_MAX_TEXTURE_BUFFER_SIZE_ARB`
Accepted by the <pname> parameters of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:
`static final int`
`GL_TEXTURE_BINDING_BUFFER_ARB`
Accepted by the <pname> parameters of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:
`static final int`
`GL_TEXTURE_BUFFER_ARB`
Accepted by the <target> parameter of BindBuffer, BufferData, BufferSubData, MapBuffer, MapBufferRangeARB, BindTexture, UnmapBuffer, GetBufferSubData, GetBufferParameteriv, GetBufferPointerv, and TexBufferARB, and the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:
`static final int`
`GL_TEXTURE_BUFFER_DATA_STORE_BINDING_ARB`
Accepted by the <pname> parameters of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:
`static final int`
`GL_TEXTURE_BUFFER_FORMAT_ARB`
Accepted by the <pname> parameters of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glTexBufferARB(int target, int internalformat, int buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_BUFFER_ARB

public static final int GL_TEXTURE_BUFFER_ARB
Accepted by the <target> parameter of BindBuffer, BufferData, BufferSubData, MapBuffer, MapBufferRangeARB, BindTexture, UnmapBuffer, GetBufferSubData, GetBufferParameteriv, GetBufferPointerv, and TexBufferARB, and the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:

See Also:
  - Constant Field Values

### GL_MAX_TEXTURE_BUFFER_SIZE_ARB

public static final int GL_MAX_TEXTURE_BUFFER_SIZE_ARB
Accepted by the <pname> parameters of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_BUFFER_ARB

public static final int GL_TEXTURE_BINDING_BUFFER_ARB
Accepted by the <pname> parameters of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:

See Also:
  - Constant Field Values

### GL_TEXTURE_BUFFER_DATA_STORE_BINDING_ARB

public static final int GL_TEXTURE_BUFFER_DATA_STORE_BINDING_ARB
Accepted by the <pname> parameters of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:

See Also:
  - Constant Field Values

### GL_TEXTURE_BUFFER_FORMAT_ARB

public static final int GL_TEXTURE_BUFFER_FORMAT_ARB
Accepted by the <pname> parameters of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:

See Also:
  - Constant Field Values

## Method Details

### glTexBufferARB

public static void glTexBufferARB(int target, int internalformat, int buffer)